GrailsTestConfiguration (Grails 3.2.9)
Date: 2017-04-26

Package: org.grails.test.context.junit4

## [Java] Annotation Type GrailsTestConfiguration

- org.grails.test.context.junit4.GrailsTestConfiguration

- Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `java.lang.Class<?>[]` | `classes` @default {} See Also: org.springframework.test.context.ContextConfiguration#classes()
    `boolean` | `inheritInitializers` @default true See Also: org.springframework.test.context.ContextConfiguration#inheritInitializers()
    `boolean` | `inheritLocations` @default true See Also: org.springframework.test.context.ContextConfiguration#inheritLocations()
    `java.lang.Class<? extends java.lang.Object>[]` | `initializers` @default {} See Also: org.springframework.test.context.ContextConfiguration#initializers()
    `java.lang.String[]` | `locations` @default {} See Also: org.springframework.test.context.ContextConfiguration#locations()
    `java.lang.String` | `name` @default "" See Also: org.springframework.test.context.ContextConfiguration#name()

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Element Detail

    - #### public java.lang.Class<?>[] classes

      @default {}

      See Also:
        org.springframework.test.context.ContextConfiguration#classes()

    - #### public boolean inheritInitializers

      @default true

      See Also:
        org.springframework.test.context.ContextConfiguration#inheritInitializers()

    - #### public boolean inheritLocations

      @default true

      See Also:
        org.springframework.test.context.ContextConfiguration#inheritLocations()

    - #### public java.lang.Class<? extends java.lang.Object>[] initializers

      @default {}

      See Also:
        org.springframework.test.context.ContextConfiguration#initializers()

    - #### public java.lang.String[] locations

      @default {}

      See Also:
        org.springframework.test.context.ContextConfiguration#locations()

    - #### public java.lang.String name

      @default ""

      See Also:
        org.springframework.test.context.ContextConfiguration#name()